package hr.webtech.pay2.builders;

import android.support.annotation.Nullable;

import hr.webtech.pay2.data.AddCardModel;
import hr.webtech.pay2.data.Customer;

@Deprecated
public final class AddCardModelBuilder {
    private String amount;
    private String authToken;
    private String clientSecret;
    private String merchantId;
    private String orderNumber;
    private String sign;
    private String currency = AddCardModel.Currency.EUR.value;
    private String orderInfo;
    private String client = "android";
    private String address;
    private String phoneNumber;
    private String city;
    private String userId;
    private String cardHolder;
    private String email;
    @Nullable
    private Customer customer;

    public AddCardModelBuilder() {
    }

    public AddCardModelBuilder setAmount(String amount) {
        this.amount = amount;
        return this;
    }

    public AddCardModelBuilder setAuthToken(String authToken) {
        this.authToken = authToken;
        return this;
    }

    public AddCardModelBuilder setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
        return this;
    }

    public AddCardModelBuilder setMerchantId(String merchantId) {
        this.merchantId = merchantId;
        return this;
    }

    public AddCardModelBuilder setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
        return this;
    }

    public AddCardModelBuilder setSign(String sign) {
        this.sign = sign;
        return this;
    }

    public AddCardModelBuilder setCurrency(String currency) {
        this.currency = currency;
        return this;
    }

    public AddCardModelBuilder setOrderInfo(String orderInfo) {
        this.orderInfo = orderInfo;
        return this;
    }

    public AddCardModelBuilder setClient(String client) {
        this.client = client;
        return this;
    }

    public AddCardModelBuilder setAddress(String address) {
        this.address = address;
        return this;
    }

    public AddCardModelBuilder setCustomer(@Nullable Customer customer) {
        this.customer = customer;
        return this;
    }

    public AddCardModelBuilder setUserId(String userId) {
        this.userId = userId;
        return this;
    }

    public AddCardModelBuilder setCardHolder(String cardHolder) {
        this.cardHolder = cardHolder;
        return this;
    }

    public AddCardModelBuilder setEmail(String email) {
        this.email = email;
        return this;
    }

    public AddCardModelBuilder setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
        return this;
    }

    public AddCardModelBuilder setCity(String city) {
        this.city = city;
        return this;
    }

    public AddCardModel createAddCardModel() {
        if (customer == null) {
            return new AddCardModel(amount, authToken, clientSecret, merchantId, orderNumber, sign, currency, orderInfo, client, address, phoneNumber, city, email, cardHolder, userId);
        } else {
            return new AddCardModel(amount, authToken, clientSecret, merchantId, orderNumber, sign, currency, orderInfo, client,
                    customer.getAddress(),
                    customer.getPhoneNumber(),
                    customer.getCity(),
                    customer.getEmail(),
                    customer.getCardHolder(),
                    userId);
        }
    }
}