
package hr.webtech.pay2.data;
import android.support.annotation.NonNull;
// THIS CODE IS GENERATED!!
@SuppressWarnings({"ThrowableInstanceNeverThrown", "ThrowableResultOfMethodCallIgnored"})
public class BusinessErrors{
    
  /**
   * description - Card expired
   * <p/>
   * message - Card expired
   */
  public static final int card_expired = 1001;

  /**
   * description - Card suspicious
   * <p/>
   * message - Card suspicious
   */
  public static final int card_suspicious = 1002;

  /**
   * description - Card suspended
   * <p/>
   * message - Card suspended
   */
  public static final int card_suspended = 1003;

  /**
   * description - Card stolen
   * <p/>
   * message - Card stolen
   */
  public static final int card_stolen = 1004;

  /**
   * description - Card lost
   * <p/>
   * message - Card lost
   */
  public static final int card_lost = 1005;

  /**
   * description - Card not found
   * <p/>
   * message - Card not found
   */
  public static final int card_not_found = 1011;

  /**
   * description - Cardholder not found
   * <p/>
   * message - Cardholder not found
   */
  public static final int cardholder_not_found = 1012;

  /**
   * description - Account not found
   * <p/>
   * message - Account not found
   */
  public static final int account_not_found = 1014;

  /**
   * description - Invalid request
   * <p/>
   * message - Invalid request
   */
  public static final int invalid_request = 1015;

  /**
   * description - Not sufficient funds
   * <p/>
   * message - Not sufficient funds
   */
  public static final int not_sufficient_funds = 1016;

  /**
   * description - Previously reversed
   * <p/>
   * message - Previously reversed
   */
  public static final int previously_reversed = 1017;

  /**
   * description - Previously reversed
   * <p/>
   * message - Previously reversed
   */
  public static final int previously_reversed_1 = 1018;

  /**
   * description - Further activity prevents reversal
   * <p/>
   * message - Further activity prevents reversal
   */
  public static final int further_activity_prevents_reversal = 1019;

  /**
   * description - Further activity prevents void
   * <p/>
   * message - Further activity prevents void
   */
  public static final int further_activity_prevents_void = 1020;

  /**
   * description - Original transaction has been voided
   * <p/>
   * message - Original transaction has been voided
   */
  public static final int original_transaction_has_been_voided = 1021;

  /**
   * description - Preauthorization is not allowed for this card
   * <p/>
   * message - Preauthorization is not allowed for this card
   */
  public static final int preauthorization_is_not_allowed_for_this_card = 1022;

  /**
   * description - Only full 3D authentication is allowed for this card
   * <p/>
   * message - Only full 3D authentication is allowed for this card
   */
  public static final int only_full__d_authentication_is_allowed_for_this_card = 1023;

  /**
   * description - Installments are not allowed for this card
   * <p/>
   * message - Installments are not allowed for this card
   */
  public static final int installments_are_not_allowed_for_this_card = 1024;

  /**
   * description - Transaction with installments can not be send as preauthorization
   * <p/>
   * message - Transaction with installments can not be send as preauthorization
   */
  public static final int transaction_with_installments_can_not_be_send_as_preauthorization = 1025;

  /**
   * description - Installments are not allowed for non ZABA cards
   * <p/>
   * message - Installments are not allowed for non ZABA cards
   */
  public static final int installments_are_not_allowed_for_non_zaba_cards = 1026;

  /**
   * description - Transaction declined
   * <p/>
   * message - Transaction declined
   */
  public static final int transaction_declined = 1050;

  /**
   * description - Missing fields
   * <p/>
   * message - Missing fields
   */
  public static final int missing_fields = 1802;

  /**
   * description - Extra fields exist
   * <p/>
   * message - Extra fields exist
   */
  public static final int extra_fields_exist = 1803;

  /**
   * description - Invalid card number
   * <p/>
   * message - Invalid card number
   */
  public static final int invalid_card_number = 1804;

  /**
   * description - Card not active
   * <p/>
   * message - Card not active
   */
  public static final int card_not_active = 1806;

  /**
   * description - Card not configured
   * <p/>
   * message - Card not configured
   */
  public static final int card_not_configured = 1808;

  /**
   * description - Invalid amount
   * <p/>
   * message - Invalid amount
   */
  public static final int invalid_amount = 1810;

  /**
   * description - System error
   * <p/>
   * message - System error
   */
  public static final int system_error = 1811;

  /**
   * description - System error
   * <p/>
   * message - System error
   */
  public static final int system_error_1 = 1812;

  /**
   * description - Cardholder not active
   * <p/>
   * message - Cardholder not active
   */
  public static final int cardholder_not_active = 1813;

  /**
   * description - Cardholder not configured
   * <p/>
   * message - Cardholder not configured
   */
  public static final int cardholder_not_configured = 1814;

  /**
   * description - Cardholder expired
   * <p/>
   * message - Cardholder expired
   */
  public static final int cardholder_expired = 1815;

  /**
   * description - Original not found
   * <p/>
   * message - Original not found
   */
  public static final int original_not_found = 1816;

  /**
   * description - Usage limit reached
   * <p/>
   * message - Usage limit reached
   */
  public static final int usage_limit_reached = 1817;

  /**
   * description - Configuration error
   * <p/>
   * message - Configuration error
   */
  public static final int configuration_error = 1818;

  /**
   * description - Invalid terminal
   * <p/>
   * message - Invalid terminal
   */
  public static final int invalid_terminal = 1819;

  /**
   * description - Inactive terminal
   * <p/>
   * message - Inactive terminal
   */
  public static final int inactive_terminal = 1820;

  /**
   * description - Invalid merchant
   * <p/>
   * message - Invalid merchant
   */
  public static final int invalid_merchant = 1821;

  /**
   * description - Duplicate entity
   * <p/>
   * message - Duplicate entity
   */
  public static final int duplicate_entity = 1822;

  /**
   * description - Invalid acquirer
   * <p/>
   * message - Invalid acquirer
   */
  public static final int invalid_acquirer = 1823;

  /**
   * description - Internal error
   * <p/>
   * message - Internal error
   */
  public static final int internal_error = 2000;

  /**
   * description - Internal error
   * <p/>
   * message - Internal error
   */
  public static final int internal_error_1 = 2001;

  /**
   * description - Internal error
   * <p/>
   * message - Internal error
   */
  public static final int internal_error_2 = 2002;

  /**
   * description - Internal error
   * <p/>
   * message - Internal error
   */
  public static final int internal_error_3 = 2003;

  /**
   * description - 3D Secure error
   * <p/>
   * message - 3D Secure error
   */
  public static final int _d_secure_error = 2013;

  /**
   * description - 3D Secure error
   * <p/>
   * message - 3D Secure error
   */
  public static final int _d_secure_error_1 = 4001;

  /**
   * description - 3D Secure error
   * <p/>
   * message - 3D Secure error
   */
  public static final int _d_secure_error_2 = 4002;

  /**
   * description - 3D secure error
   * <p/>
   * message - 3D secure error
   */
  public static final int _d_secure_error_3 = 4003;

  /**
   * description - Time expired
   * <p/>
   * message - Time expired
   */
  public static final int time_expired = 3000;

  /**
   * description - Function not supported
   * <p/>
   * message - Function not supported
   */
  public static final int function_not_supported = 3100;

  /**
   * description - Timeout
   * <p/>
   * message - Timeout
   */
  public static final int timeout = 3200;

  /**
   * description - Authorization host not active
   * <p/>
   * message - Authorization host not active
   */
  public static final int authorization_host_not_active = 3201;

  /**
   * description - System not ready
   * <p/>
   * message - System not ready
   */
  public static final int system_not_ready = 3202;

  /**
   * description - Request in progress
   * <p/>
   * message - Request in progress
   */
  public static final int request_in_progress = 5000;

  /**
   * description - RISK: Number of repeats per PAN
   * <p/>
   * message - RISK: Number of repeats per PAN
   */
  public static final int risk__number_of_repeats_per_pan = 5001;

  /**
   * description - RISK: Number of repeats per BIN
   * <p/>
   * message - RISK: Number of repeats per BIN
   */
  public static final int risk__number_of_repeats_per_bin = 5003;

  /**
   * description - RISK: Percentage of declined transactions
   * <p/>
   * message - RISK: Percentage of declined transactions
   */
  public static final int risk__percentage_of_declined_transactions = 5005;

  /**
   * description - RISK: Number of refunded transactions
   * <p/>
   * message - RISK: Number of refunded transactions
   */
  public static final int risk__number_of_refunded_transactions = 5006;

  /**
   * description - RISK: Percentage increment of sum on amount of refunded transactions
   * <p/>
   * message - RISK: Percentage increment of sum on amount of refunded transactions
   */
  public static final int risk__percentage_increment_of_sum_on_amount_of_refunded_transactions = 5007;

  /**
   * description - RISK: Number of chargebacks
   * <p/>
   * message - RISK: Number of chargebacks
   */
  public static final int risk__number_of_chargebacks = 5009;

  /**
   * description - RISK: Sum on amount of chargebacks
   * <p/>
   * message - RISK: Sum on amount of chargebacks
   */
  public static final int risk__sum_on_amount_of_chargebacks = 5010;

  /**
   * description - RISK: Number of retrieval requests
   * <p/>
   * message - RISK: Number of retrieval requests
   */
  public static final int risk__number_of_retrieval_requests = 5011;

  /**
   * description - RISK: Sum on amount of retrieval requests
   * <p/>
   * message - RISK: Sum on amount of retrieval requests
   */
  public static final int risk__sum_on_amount_of_retrieval_requests = 5012;

  /**
   * description - RISK: Average amount per transaction
   * <p/>
   * message - RISK: Average amount per transaction
   */
  public static final int risk__average_amount_per_transaction = 5013;

  /**
   * description - RISK: Percentage increment of average amount per transaction
   * <p/>
   * message - RISK: Percentage increment of average amount per transaction
   */
  public static final int risk__percentage_increment_of_average_amount_per_transaction = 5014;

  /**
   * description - RISK: Percentage increment of number of transactions
   * <p/>
   * message - RISK: Percentage increment of number of transactions
   */
  public static final int risk__percentage_increment_of_number_of_transactions = 5015;

  /**
   * description - RISK: Total sum on amount
   * <p/>
   * message - RISK: Total sum on amount
   */
  public static final int risk__total_sum_on_amount = 5016;

  /**
   * description - RISK: Percentage increment of total sum on amount
   * <p/>
   * message - RISK: Percentage increment of total sum on amount
   */
  public static final int risk__percentage_increment_of_total_sum_on_amount = 5017;

  /**
   * description - RISK: Minimum amount per transaction
   * <p/>
   * message - RISK: Minimum amount per transaction
   */
  public static final int risk__minimum_amount_per_transaction = 5018;

  /**
   * description - RISK: Maximum amount per transaction
   * <p/>
   * message - RISK: Maximum amount per transaction
   */
  public static final int risk__maximum_amount_per_transaction = 5019;

  /**
   * description - RISK: Number of approved transactions per PAN
   * <p/>
   * message - RISK: Number of approved transactions per PAN
   */
  public static final int risk__number_of_approved_transactions_per_pan = 5020;

  /**
   * description - RISK: Sum on amount of approved transactions per PAN
   * <p/>
   * message - RISK: Sum on amount of approved transactions per PAN
   */
  public static final int risk__sum_on_amount_of_approved_transactions_per_pan = 5021;

  /**
   * description - RISK: Sum on amount of approved transactions per BIN
   * <p/>
   * message - RISK: Sum on amount of approved transactions per BIN
   */
  public static final int risk__sum_on_amount_of_approved_transactions_per_bin = 5022;

  /**
   * description - RISK: Number of approved transactions per PAN and MCC on amount
   * <p/>
   * message - RISK: Number of approved transactions per PAN and MCC on amount
   */
  public static final int risk__number_of_approved_transactions_per_pan_and_mcc_on_amount = 5023;

  /**
   * description - RISK: Number of repeats per IP
   * <p/>
   * message - RISK: Number of repeats per IP
   */
  public static final int risk__number_of_repeats_per_ip = 5050;

  /**
   * description - RISK: Number of repeats per cardholder name
   * <p/>
   * message - RISK: Number of repeats per cardholder name
   */
  public static final int risk__number_of_repeats_per_cardholder_name = 5051;

  /**
   * description - RISK: Number of repeats per cardholder e-mail
   * <p/>
   * message - RISK: Number of repeats per cardholder e-mail
   */
  public static final int risk__number_of_repeats_per_cardholder_e_mail = 5052;

  /**
   * description - Systan mismatch
   * <p/>
   * message - Systan mismatch
   */
  public static final int systan_mismatch = 6000;

  /**
   * description - Blacklisted ip
   * <p/>
   * message - Blacklisted ip
   */
  public static final int blacklisted_ip = 6001;

  /**
   * description - Blacklisted pan
   * <p/>
   * message - Blacklisted pan
   */
  public static final int blacklisted_pan = 6002;

  /**
   * description - Blacklisted bin
   * <p/>
   * message - Blacklisted bin
   */
  public static final int blacklisted_bin = 6003;


    
}