package hr.webtech.pay2.data;

import com.google.gson.Gson;

import org.junit.Assert;
import org.junit.Test;

/**
 * Created by jasminsuljic on 01/08/2018.
 * pgw-android
 */
public class DeletePaymentMethodErrorTest {

    @Test
    public void testGson() {
        String json = "{\n" +
                "    \"status\": \"not_deleted\",\n" +
                "    \"message\": \"Validation failed\",\n" +
                "    \"errors\": [\n" +
                "        \"Payment method 4FEjlZ_EOOMMjcKQsyLotY_k_tj2iGiIwN6A1sLS already deleted\"\n" +
                "    ]\n" +
                "}";

        Gson gson = new Gson();

        final DeletePaymentMethodError deletePaymentMethodError = gson.fromJson(json, DeletePaymentMethodError.class);

        Assert.assertNotNull(deletePaymentMethodError);

        Assert.assertEquals("not_deleted", deletePaymentMethodError.getStatus());
        Assert.assertEquals("Validation failed", deletePaymentMethodError.getMessage());

        Assert.assertEquals("Payment method 4FEjlZ_EOOMMjcKQsyLotY_k_tj2iGiIwN6A1sLS already deleted", deletePaymentMethodError.getErrors().get(0));
    }
}