package hr.webtech.pay2.data;

/**
 * Created by jasminsuljic on 05/07/2018.
 * pgw-android
 */

public class OrderDetails {
    private final String amount;
    private final String orderNumber;
    private final String currency;
    private final String orderInfo;
    private final String signature;
    private final String client;

    public OrderDetails(String amount, String orderNumber, String currency, String orderInfo, String signature, String client) {
        this.amount = amount;
        this.orderNumber = orderNumber;
        this.currency = currency;
        this.orderInfo = orderInfo;
        this.signature = signature;
        this.client = client;
    }

    public String getAmount() {
        return amount;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public String getCurrency() {
        return currency;
    }

    public String getOrderInfo() {
        return orderInfo;
    }

    public String getSignature() {
        return signature;
    }

    public String getClient() {
        return client;
    }
}
