package hr.webtech.pay2.data;

import android.support.annotation.NonNull;

import hr.webtech.pay2.util.Objects;

/**
 * Created by jasminsuljic on 05/07/2018.
 * pgw-android
 */

public final class PayCvvOrderDetails {
    private final OrderDetails orderDetails;
    private final String pmAlias;

    public PayCvvOrderDetails(@NonNull OrderDetails orderDetails, @NonNull String pmAlias) {
        this.orderDetails = Objects.requireNonNull(orderDetails);
        this.pmAlias = Objects.requireNonNull(pmAlias);
    }

    public OrderDetails getOrderDetails() {
        return orderDetails;
    }

    public String getPmAlias() {
        return pmAlias;
    }
}
