package hr.webtech.pay2.view;

import android.support.annotation.Nullable;

/**
 * Created by jasminsuljic on 01/10/2018.
 * pgw-android
 */
class StartedTransactionResolverRunnable implements RedirectResolver.RedirectResolverRunnable {

    private final SharedLifecycleDelegate delegate;

    StartedTransactionResolverRunnable(SharedLifecycleDelegate delegate) {
        this.delegate = delegate;
    }

    @Override
    public void run(WebtehWebView.ResolvedUrlResult resolve, @Nullable String request, RedirectResolver redirectResolver, String inputParam) {
        redirectResolver.setTransactionInProgress(true);
        redirectResolver.startTimeoutTracking();
        delegate.showProgress();
        if (resolve == WebtehWebView.ResolvedUrlResult.STARTED_TRANSACTION_3DS) {
            delegate.logTransactionInfo("transactionLifecycleAdapter.delegate#threeDsSubmitted");
            delegate.threeDsSubmitted();
        }
    }
}
